[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomDaemon.DaemonThread

Thread in which daemon is running

## Declaration

Source position: daemonapp.pp line 65

`public property TCustomDaemon.DaemonThread : TThread read FThread;`

## Description

DaemonThread is the thread in which the daemon instance is running. Each daemon instance in the application runs in it's own thread, none of which are the main thread of the application. The application main thread is used to handle control messages coming from the operating system.

## See also

Controller |  | TDaemonController instance controlling this daemon instance

Documentation generated on: Feb 26 2014